%%%% Need to visualize error to make this work%%%%
\section{Results} \label{sec:results}
The observed error metrics and the flattened textures for each of the En-Gedi meshes (EG0-3,5,6) are shown in Appendix \ref{sec:figures}. ABF and LSCM both failed to produce a parameterization for EG4, thus we only present the metrics for its MM results.

%% Conformal Error
With a few exceptions, all of the parameterization algorithms perform similarly in terms of angular distortion (Table \ref{tab:alpherror}). Even for meshes that appear to demonstrate significantly varying error values between ABF, LSCM, and MM, such as with mesh EG1, the visual differences on a global scale appear to be minor (Figure \ref{fig:eg1-params}). Figure \ref{fig:eg0-angleerror} visualizes a typical distribution pattern for the angular error across the parameterized surface. Since ABF and LSCM both seek to minimize conformal error (angular distortion) this is not surprising. That MM produces similar results is notable since it makes no explicit guarantees for minimizing conformal error.

%% Isometric Error
Much of the error and resulting visual distortion is represented by the isometric error metrics. MM produced significantly worse $L^2$ and $L^\infty$ metric values, which resulted in artifacts such as the slight global shear and elongation of the right edge of the MM image for EG0 (Figure \ref{fig:eg0-params}). This distortion is better visualized in Figure \ref{fig:eg0-areaerror}, where areas of higher area distortion streak the right side of the parameterization. While these isolated areas demonstrated large amounts of stretch, the effect on global area distortion was minimal (Table \ref{tab:blenderror}). LSCM parameterizations, on the other hand, performed similarly to ABF for $L^2$ stretch, but much worse on area distortion. In some cases, this resulted in very noticeable nonlinear feature scaling in the texture images, as seen in Figures \ref{fig:eg2-params} and \ref{fig:eg6-params}. 

%% border inconsistencies between ABF and MM
Also worth mentioning are some distortions produced by MM that are not easily represented by the considered metrics. As shown in Figure \ref{fig:minordiffs}, the internal features of the ABF and MM texture images are largely consistent, but the outer borders demonstrate significant differences. The MM image displays a smoother left edge and a ``missing'' boundary feature on the right edge. The absence of this feature was caused by a group of adjacent faces that did not completely flatten, but instead ``folded'' onto each other in parameter space. Unlike ABF, MM in its current form makes no guarantees about the shape of the mesh border, thus allowing for edge cases such as these.

\begin{figure}
\centering
    \includegraphics[width=\columnwidth]{assets/minor-diffs}
    \caption{Differences in EG2 parameterizations: ABF (left) and MM (right).}
    \label{fig:minordiffs}
\end{figure}